<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
     version="1.0">
<xsl:output method="xml" omit-xml-declaration="yes" indent="no"/>
<?startSampleFile ?>
<!-- xq321.xsl: converts xq318.xml into xq322.txt -->

<xsl:template match="verse">
  1. {<xsl:value-of select="concat('length: ',string-length(.))"/>}
  2. <xsl:if test="contains(.,'light')">
       <xsl:text>light: yes!</xsl:text>
     </xsl:if>
  3. <xsl:if test="starts-with(.,'Seest')">
       <xsl:text>Yes, starts with "Seest"</xsl:text>
     </xsl:if>
  4. {<xsl:value-of select="normalize-space(.)"/>}
  5. {<xsl:value-of select="translate(.,'abcde','ABCD')"/>}

</xsl:template>
<?endSampleFile ?>
</xsl:stylesheet>
